Bug 8692 - wrong file times on ncpfs
Summary: wrong file times on ncpfs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-21 08:19 UTC by Oleg Makarenko
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oleg Makarenko 2000-01-21 08:19:25 UTC
Symptom:
All files/dirs on the Novell server seems to be one hour older.

The reason:
hwclock (running at startup with -u --hctosys options) sets sys_tz based on
timezone and daylight global variable values after tzset() call using the
following code:
  tzset(); /* changes timezone and daylight variables as a side effect */
  tz = {timezone/60 - daylight*60,0};
  settimeofday(...,&tz);

That is wrong as daylight is always equal 1 for my timezone
(Europe/Moscow). According to tzset() code in glibc daylight==1 doesn't
mean daylight zone is active. It only means that daylight zone does exist.

The wrong value of sys_tz in the kernel breaks ncpfs code (and probably
some other file systems) and makes all files on the Novell server to be one
hour older when daylight is not active.

Best regards,
Oleg

Comment 1 Stephen John Smoogen 2003-01-24 22:56:42 UTC
There have been massive changes in glibc and the time code since 6.1. Is this
bug still present in 7.3 and/or 8.0

NOTICE. ncpfs is listed as being deprecated in 8.0.93 and may be removed in an
upcoming release.

Comment 2 Petr Vandrovec 2003-02-13 09:44:09 UTC
It would be nice if somebody could contact upstream maintainer (i.e. me) with
reasons why ncpfs is listed as deprecated (as I found on the web, at least
since RH7.1...).

With filetimes there is a small problem: NetWare reports "local" time,
while Linux kernel uses UTC. Because of kernel does not know when DST
starts/ends, best result you can get is that currently created files
have correct timestamp, and files created during "other" time are either
hour ahead or hour back behind their time as seen by Windows clients.

And AFAIK it is exactly what current hwclock does.

Petr


Comment 3 Jay Turner 2003-04-14 18:00:41 UTC
Pushing back to Assigned to address questions raised.

Comment 4 Bugzilla owner 2004-09-30 15:38:46 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.